import { ElementRef, NgZone } from '@angular/core';
import { AppBarComponent as AppBarComponentCustomElement } from '@tylertech/forge';
import * as i0 from "@angular/core";
/**  */
export declare class AppBarComponent {
    protected elementRef: ElementRef<AppBarComponentCustomElement>;
    protected zone: NgZone;
    /** The forge-app-bar element. */
    readonly nativeElement: AppBarComponentCustomElement;
    /** The text to display in the title. */
    set titleText(value: AppBarComponentCustomElement['titleText']);
    get titleText(): AppBarComponentCustomElement['titleText'];
    /** The elevation of the app bar. */
    set elevation(value: AppBarComponentCustomElement['elevation']);
    get elevation(): AppBarComponentCustomElement['elevation'];
    /** The theme of the app bar. */
    set theme(value: AppBarComponentCustomElement['theme']);
    get theme(): AppBarComponentCustomElement['theme'];
    /** The href that will be used to make the logo and title area a clickable link. */
    set href(value: AppBarComponentCustomElement['href']);
    get href(): AppBarComponentCustomElement['href'];
    /** The `<a>` target of the logo + title area link when `href` is set. */
    set target(value: AppBarComponentCustomElement['target']);
    get target(): AppBarComponentCustomElement['target'];
    /** Controls how the theme is applied. `inherit` will apply the global theme to the app bar and all child components. `scoped` will only apply the theme to the app bar and not set any global tokens. */
    set themeMode(value: AppBarComponentCustomElement['themeMode']);
    get themeMode(): AppBarComponentCustomElement['themeMode'];
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<AppBarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AppBarComponent, "forge-app-bar", never, { "titleText": { "alias": "titleText"; "required": false; }; "elevation": { "alias": "elevation"; "required": false; }; "theme": { "alias": "theme"; "required": false; }; "href": { "alias": "href"; "required": false; }; "target": { "alias": "target"; "required": false; }; "themeMode": { "alias": "themeMode"; "required": false; }; }, {}, never, ["*"], false, never>;
}
