import { ElementRef, NgZone } from '@angular/core';
import { ExpansionPanelComponent as ExpansionPanelComponentCustomElement } from '@tylertech/forge';
import * as i0 from "@angular/core";
/**  */
export declare class ExpansionPanelComponent {
    protected elementRef: ElementRef<ExpansionPanelComponentCustomElement>;
    protected zone: NgZone;
    /** The forge-expansion-panel element. */
    readonly nativeElement: ExpansionPanelComponentCustomElement;
    /** Whether the panel is open or closed. */
    set open(value: ExpansionPanelComponentCustomElement['open']);
    get open(): ExpansionPanelComponentCustomElement['open'];
    /** The orientation of the panel. */
    set orientation(value: ExpansionPanelComponentCustomElement['orientation']);
    get orientation(): ExpansionPanelComponentCustomElement['orientation'];
    /** The type of animation to use when opening/closing the panel. */
    set animationType(value: ExpansionPanelComponentCustomElement['animationType']);
    get animationType(): ExpansionPanelComponentCustomElement['animationType'];
    /** The id of the element that the expansion panel should be toggled by. */
    set trigger(value: ExpansionPanelComponentCustomElement['trigger']);
    get trigger(): ExpansionPanelComponentCustomElement['trigger'];
    /** The element that the expansion panel should be toggled by. */
    set triggerElement(value: ExpansionPanelComponentCustomElement['triggerElement']);
    get triggerElement(): ExpansionPanelComponentCustomElement['triggerElement'];
    /** Toggles the open state of the panel. */
    toggle(...args: Parameters<ExpansionPanelComponentCustomElement['toggle']>): ReturnType<ExpansionPanelComponentCustomElement['toggle']>;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<ExpansionPanelComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ExpansionPanelComponent, "forge-expansion-panel", never, { "open": { "alias": "open"; "required": false; }; "orientation": { "alias": "orientation"; "required": false; }; "animationType": { "alias": "animationType"; "required": false; }; "trigger": { "alias": "trigger"; "required": false; }; "triggerElement": { "alias": "triggerElement"; "required": false; }; }, {}, never, ["*"], false, never>;
    static ngAcceptInputType_open: unknown;
}
