import { ElementRef, NgZone } from '@angular/core';
import { MeterComponent as MeterComponentCustomElement } from '@tylertech/forge';
import * as i0 from "@angular/core";
/**  */
export declare class MeterComponent {
    protected elementRef: ElementRef<MeterComponentCustomElement>;
    protected zone: NgZone;
    /** The forge-meter element. */
    readonly nativeElement: MeterComponentCustomElement;
    /** The current value of the meter. */
    set value(value: MeterComponentCustomElement['value']);
    get value(): MeterComponentCustomElement['value'];
    /** The minimum value of the meter. */
    set min(value: MeterComponentCustomElement['min']);
    get min(): MeterComponentCustomElement['min'];
    /** The maximum value of the meter. */
    set max(value: MeterComponentCustomElement['max']);
    get max(): MeterComponentCustomElement['max'];
    /** The low value threshold. */
    set low(value: MeterComponentCustomElement['low']);
    get low(): MeterComponentCustomElement['low'];
    /** The high value threshold. */
    set high(value: MeterComponentCustomElement['high']);
    get high(): MeterComponentCustomElement['high'];
    /** Indicates the region of the optimum value. */
    set optimum(value: MeterComponentCustomElement['optimum']);
    get optimum(): MeterComponentCustomElement['optimum'];
    /** Whether to display tickmarks. */
    set tickmarks(value: MeterComponentCustomElement['tickmarks']);
    get tickmarks(): MeterComponentCustomElement['tickmarks'];
    /**
     * Whether the current value is displayed as a percentage or raw value. When set to `'manual'`
     * the value text is not shown automatically but can still be set manually via the value slot.
     */
    set valueMode(value: MeterComponentCustomElement['valueMode']);
    get valueMode(): MeterComponentCustomElement['valueMode'];
    /** Whether the meter is oriented horizontally or vertically. */
    set direction(value: MeterComponentCustomElement['direction']);
    get direction(): MeterComponentCustomElement['direction'];
    /** The shape of the meter. */
    set shape(value: MeterComponentCustomElement['shape']);
    get shape(): MeterComponentCustomElement['shape'];
    /** The shape of the bar. */
    set innerShape(value: MeterComponentCustomElement['innerShape']);
    get innerShape(): MeterComponentCustomElement['innerShape'];
    /** The density of the meter. */
    set density(value: MeterComponentCustomElement['density']);
    get density(): MeterComponentCustomElement['density'];
    /** The theme of the meter. */
    set theme(value: MeterComponentCustomElement['theme']);
    get theme(): MeterComponentCustomElement['theme'];
    /** Whether the theme is muted. */
    set muted(value: MeterComponentCustomElement['muted']);
    get muted(): MeterComponentCustomElement['muted'];
    /** Gets the percentage of the meter that's filled. */
    get percentage(): MeterComponentCustomElement['percentage'];
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<MeterComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MeterComponent, "forge-meter", never, { "value": { "alias": "value"; "required": false; }; "min": { "alias": "min"; "required": false; }; "max": { "alias": "max"; "required": false; }; "low": { "alias": "low"; "required": false; }; "high": { "alias": "high"; "required": false; }; "optimum": { "alias": "optimum"; "required": false; }; "tickmarks": { "alias": "tickmarks"; "required": false; }; "valueMode": { "alias": "valueMode"; "required": false; }; "direction": { "alias": "direction"; "required": false; }; "shape": { "alias": "shape"; "required": false; }; "innerShape": { "alias": "innerShape"; "required": false; }; "density": { "alias": "density"; "required": false; }; "theme": { "alias": "theme"; "required": false; }; "muted": { "alias": "muted"; "required": false; }; }, {}, never, ["*"], false, never>;
    static ngAcceptInputType_value: unknown;
    static ngAcceptInputType_min: unknown;
    static ngAcceptInputType_max: unknown;
    static ngAcceptInputType_tickmarks: unknown;
    static ngAcceptInputType_muted: unknown;
}
