import { ElementRef, NgZone } from '@angular/core';
import { TextFieldComponent as TextFieldComponentCustomElement } from '@tylertech/forge';
import * as i0 from "@angular/core";
/**  */
export declare class TextFieldComponent {
    protected elementRef: ElementRef<TextFieldComponentCustomElement>;
    protected zone: NgZone;
    /** The forge-text-field element. */
    readonly nativeElement: TextFieldComponentCustomElement;
    /** Gets a reference to the element that the popover should target for best alignment. */
    get popoverTargetElement(): TextFieldComponentCustomElement['popoverTargetElement'];
    /** Whether the clear button appears when text has been entered. */
    set showClear(value: TextFieldComponentCustomElement['showClear']);
    get showClear(): TextFieldComponentCustomElement['showClear'];
    /** The position of the label relative to the field. */
    set labelPosition(value: TextFieldComponentCustomElement['labelPosition']);
    get labelPosition(): TextFieldComponentCustomElement['labelPosition'];
    /** The alignment of the label relative to the field. */
    set labelAlignment(value: TextFieldComponentCustomElement['labelAlignment']);
    get labelAlignment(): TextFieldComponentCustomElement['labelAlignment'];
    /** Whether the field is in an invalid state. */
    set invalid(value: TextFieldComponentCustomElement['invalid']);
    get invalid(): TextFieldComponentCustomElement['invalid'];
    /** Whether the field is required. */
    set required(value: TextFieldComponentCustomElement['required']);
    get required(): TextFieldComponentCustomElement['required'];
    /** Whether the field is optional. */
    set optional(value: TextFieldComponentCustomElement['optional']);
    get optional(): TextFieldComponentCustomElement['optional'];
    /** Whether the field is disabled. */
    set disabled(value: TextFieldComponentCustomElement['disabled']);
    get disabled(): TextFieldComponentCustomElement['disabled'];
    /** Whether the label should float above the field. Only applies when the label is inset. */
    set floatLabel(value: TextFieldComponentCustomElement['floatLabel']);
    get floatLabel(): TextFieldComponentCustomElement['floatLabel'];
    /** The variant of the field. */
    set variant(value: TextFieldComponentCustomElement['variant']);
    get variant(): TextFieldComponentCustomElement['variant'];
    /** The theme of the field. */
    set theme(value: TextFieldComponentCustomElement['theme']);
    get theme(): TextFieldComponentCustomElement['theme'];
    /** The shape of the field. */
    set shape(value: TextFieldComponentCustomElement['shape']);
    get shape(): TextFieldComponentCustomElement['shape'];
    /** The density of the field. */
    set density(value: TextFieldComponentCustomElement['density']);
    get density(): TextFieldComponentCustomElement['density'];
    /** Whether the field is dense. */
    set dense(value: TextFieldComponentCustomElement['dense']);
    get dense(): TextFieldComponentCustomElement['dense'];
    /** Whether the field has a popover icon. */
    set popoverIcon(value: TextFieldComponentCustomElement['popoverIcon']);
    get popoverIcon(): TextFieldComponentCustomElement['popoverIcon'];
    /** Whether the field's popover is expanded. */
    set popoverExpanded(value: TextFieldComponentCustomElement['popoverExpanded']);
    get popoverExpanded(): TextFieldComponentCustomElement['popoverExpanded'];
    /** The inset of the support text. */
    set supportTextInset(value: TextFieldComponentCustomElement['supportTextInset']);
    get supportTextInset(): TextFieldComponentCustomElement['supportTextInset'];
    /** Floats the label immediately. Only applies when the label is inset. */
    floatLabelWithoutAnimation(...args: Parameters<TextFieldComponentCustomElement['floatLabelWithoutAnimation']>): ReturnType<TextFieldComponentCustomElement['floatLabelWithoutAnimation']>;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<TextFieldComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TextFieldComponent, "forge-text-field", never, { "showClear": { "alias": "showClear"; "required": false; }; "labelPosition": { "alias": "labelPosition"; "required": false; }; "labelAlignment": { "alias": "labelAlignment"; "required": false; }; "invalid": { "alias": "invalid"; "required": false; }; "required": { "alias": "required"; "required": false; }; "optional": { "alias": "optional"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "floatLabel": { "alias": "floatLabel"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; "theme": { "alias": "theme"; "required": false; }; "shape": { "alias": "shape"; "required": false; }; "density": { "alias": "density"; "required": false; }; "dense": { "alias": "dense"; "required": false; }; "popoverIcon": { "alias": "popoverIcon"; "required": false; }; "popoverExpanded": { "alias": "popoverExpanded"; "required": false; }; "supportTextInset": { "alias": "supportTextInset"; "required": false; }; }, {}, never, ["*"], false, never>;
    static ngAcceptInputType_showClear: unknown;
    static ngAcceptInputType_invalid: unknown;
    static ngAcceptInputType_required: unknown;
    static ngAcceptInputType_optional: unknown;
    static ngAcceptInputType_disabled: unknown;
    static ngAcceptInputType_floatLabel: unknown;
    static ngAcceptInputType_dense: unknown;
    static ngAcceptInputType_popoverIcon: unknown;
    static ngAcceptInputType_popoverExpanded: unknown;
}
